Package tigase.server

## Class DataForm

- java.lang.Object
- - tigase.server.DataForm

-     public class DataForm
      extends java.lang.Object

  Author:
    Wojciech Kapcia

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static class` | `DataForm.Builder` |
    `static class` | `DataForm.Field` |
    `static class` | `DataForm.FieldType` |
    `static class` | `DataForm.Item` |
    `static class` | `DataForm.Reported` |

  - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static java.lang.String` | `FIELD_EL` |
    `protected static java.lang.String[]` | `FIELD_VALUE_PATH` |
    `static java.lang.String` | `FORM_TYPE` |
    `static java.lang.String` | `VALUE_EL` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `DataForm()` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static void` | `addCheckBoxField​(Element el, java.lang.String f_name, boolean f_value)` | Data form-types as defined in the XEP-0050.
    `static Element` | `addDataForm​(Element el, Command.DataType data_type)` |
    `static void` | `addField​(Element el, java.lang.String f_name, java.lang.String f_label, java.lang.String type)` |
    `static void` | `addFieldListMultiValue​(Element el, java.lang.String f_name, java.util.List<java.lang.String> f_value)` |
    `static void` | `addFieldListMultiValue​(Element el, java.lang.String f_name, java.util.List<java.lang.String> f_value, java.lang.String label)` |
    `static void` | `addFieldMultiValue​(Element el, java.lang.String f_name, java.lang.Throwable ex)` |
    `static void` | `addFieldMultiValue​(Element el, java.lang.String f_name, java.util.List<java.lang.String> f_value)` |
    `static void` | `addFieldMultiValue​(Element el, java.lang.String f_name, java.util.List<java.lang.String> f_value, java.lang.String label)` |
    `static void` | `addFieldMultiValue​(Element el, java.lang.String f_name, java.util.List<java.lang.String> f_value, java.lang.String label, java.lang.String type)` |
    `static void` | `addFieldValue​(Element el, java.lang.String f_name, java.lang.String f_value)` |
    `static void` | `addFieldValue​(Element el, java.lang.String f_name, java.lang.String[] f_values, java.lang.String label, java.lang.String[] labels, java.lang.String[] options)` |
    `static void` | `addFieldValue​(Element el, java.lang.String f_name, java.lang.String f_value, java.lang.String type)` |
    `static void` | `addFieldValue​(Element el, java.lang.String f_name, java.lang.String f_value, java.lang.String type, java.lang.String label)` |
    `static void` | `addFieldValue​(Element el, java.lang.String f_name, java.lang.String f_value, java.lang.String label, java.lang.String[] labels, java.lang.String[] options)` |
    `static void` | `addFieldValue​(Element el, java.lang.String f_name, java.lang.String f_value, java.lang.String label, java.lang.String[] labels, java.lang.String[] options, java.lang.String type)` |
    `static void` | `addHiddenField​(Element el, java.lang.String f_name, java.lang.String f_value)` |
    `static void` | `addInstructions​(Element el, java.lang.String instructions)` |
    `static void` | `addTextField​(Element el, java.lang.String f_name, java.lang.String f_value)` |
    `static void` | `addTitle​(Element el, java.lang.String title)` |
    `static Element` | `createDataForm​(Command.DataType data_type)` |
    `static boolean` | `getFieldBoolValue​(Element el, java.lang.String f_name)` |
    `static java.lang.String` | `getFieldKeyStartingWith​(Element el, java.lang.String f_name)` |
    `static java.util.Set<java.lang.String>` | `getFields​(Element el)` |
    `static java.lang.String` | `getFieldValue​(Element el, java.lang.String f_name)` |
    `static java.lang.String[]` | `getFieldValues​(Element el, java.lang.String f_name)` |
    `static java.lang.String` | `getFormType​(Element form)` |
    `static boolean` | `removeFieldValue​(Element el, java.lang.String f_name)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### FIELD_EL

          public static final java.lang.String FIELD_EL

      See Also:
        Constant Field Values

    - #### VALUE_EL

          public static final java.lang.String VALUE_EL

      See Also:
        Constant Field Values

    - #### FORM_TYPE

          public static final java.lang.String FORM_TYPE

      See Also:
        Constant Field Values

    - #### FIELD_VALUE_PATH

          protected static final java.lang.String[] FIELD_VALUE_PATH

  - ### Constructor Detail

    - #### DataForm

          public DataForm()

  - ### Method Detail

    - #### addCheckBoxField

          public static void addCheckBoxField​(Element el,
                                              java.lang.String f_name,
                                              boolean f_value)

      Data form-types as defined in the XEP-0050.

    - #### addDataForm

          public static Element addDataForm​(Element el,
                                            Command.DataType data_type)

    - #### addField

          public static void addField​(Element el,
                                      java.lang.String f_name,
                                      java.lang.String f_label,
                                      java.lang.String type)

    - #### addFieldMultiValue

          public static void addFieldMultiValue​(Element el,
                                                java.lang.String f_name,
                                                java.util.List<java.lang.String> f_value)

    - #### addFieldMultiValue

          public static void addFieldMultiValue​(Element el,
                                                java.lang.String f_name,
                                                java.util.List<java.lang.String> f_value,
                                                java.lang.String label)

    - #### addFieldListMultiValue

          public static void addFieldListMultiValue​(Element el,
                                                    java.lang.String f_name,
                                                    java.util.List<java.lang.String> f_value)

    - #### addFieldListMultiValue

          public static void addFieldListMultiValue​(Element el,
                                                    java.lang.String f_name,
                                                    java.util.List<java.lang.String> f_value,
                                                    java.lang.String label)

    - #### addFieldMultiValue

          public static void addFieldMultiValue​(Element el,
                                                java.lang.String f_name,
                                                java.util.List<java.lang.String> f_value,
                                                java.lang.String label,
                                                java.lang.String type)

    - #### addFieldMultiValue

          public static void addFieldMultiValue​(Element el,
                                                java.lang.String f_name,
                                                java.lang.Throwable ex)

    - #### addFieldValue

          public static void addFieldValue​(Element el,
                                           java.lang.String f_name,
                                           java.lang.String f_value)

    - #### addFieldValue

          public static void addFieldValue​(Element el,
                                           java.lang.String f_name,
                                           java.lang.String f_value,
                                           java.lang.String label,
                                           java.lang.String[] labels,
                                           java.lang.String[] options)

    - #### addFieldValue

          public static void addFieldValue​(Element el,
                                           java.lang.String f_name,
                                           java.lang.String[] f_values,
                                           java.lang.String label,
                                           java.lang.String[] labels,
                                           java.lang.String[] options)

    - #### addFieldValue

          public static void addFieldValue​(Element el,
                                           java.lang.String f_name,
                                           java.lang.String f_value,
                                           java.lang.String label,
                                           java.lang.String[] labels,
                                           java.lang.String[] options,
                                           java.lang.String type)

    - #### addFieldValue

          public static void addFieldValue​(Element el,
                                           java.lang.String f_name,
                                           java.lang.String f_value,
                                           java.lang.String type)

    - #### addFieldValue

          public static void addFieldValue​(Element el,
                                           java.lang.String f_name,
                                           java.lang.String f_value,
                                           java.lang.String type,
                                           java.lang.String label)

    - #### addHiddenField

          public static void addHiddenField​(Element el,
                                            java.lang.String f_name,
                                            java.lang.String f_value)

    - #### addInstructions

          public static void addInstructions​(Element el,
                                             java.lang.String instructions)

    - #### addTextField

          public static void addTextField​(Element el,
                                          java.lang.String f_name,
                                          java.lang.String f_value)

    - #### addTitle

          public static void addTitle​(Element el,
                                      java.lang.String title)

    - #### createDataForm

          public static Element createDataForm​(Command.DataType data_type)

    - #### getFieldKeyStartingWith

          public static java.lang.String getFieldKeyStartingWith​(Element el,
                                                                 java.lang.String f_name)

    - #### getFieldValue

          public static java.lang.String getFieldValue​(Element el,
                                                       java.lang.String f_name)

    - #### getFieldBoolValue

          public static boolean getFieldBoolValue​(Element el,
                                                  java.lang.String f_name)

    - #### getFieldValues

          public static java.lang.String[] getFieldValues​(Element el,
                                                          java.lang.String f_name)

    - #### getFields

          public static java.util.Set<java.lang.String> getFields​(Element el)

    - #### getFormType

          public static java.lang.String getFormType​(Element form)

    - #### removeFieldValue

          public static boolean removeFieldValue​(Element el,
                                                 java.lang.String f_name)